# set terminal pngcairo  background "#ffffff" enhanced font "arial,9" fontscale 1.0 size 512, 384 
# set output 'transparent_solids.2.png'
set bar 1.000000 front
unset border
set style fill  transparent solid 0.65 border
set style circle radius graph 0.02, first 0.00000, 0.00000 
set style ellipse size graph 0.05, 0.03, first 0.00000 angle 0 units xy
set dummy u, v
unset key
set label 1 "Kuen's Surface" at screen 0.57, 0.9, 0 left norotate font "frscript,20" back nopoint
set object  1 rect from screen 0, 0, 0 to screen 1, 1, 0
set object  1 behind clip lw 1.0  dashtype solid fc  rgb "gray"  fillstyle   solid 1.00 border lt -1
set style textbox transparent margins  1.0,  1.0 border
unset logscale
set parametric
set view 122, 357, 1.35, 1.08
set isosamples 51, 51
set hidden3d back offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set style data lines
set xyplane relative 0
unset xtics
unset ytics
unset ztics
unset paxis 1 tics
unset paxis 2 tics
unset paxis 3 tics
unset paxis 4 tics
unset paxis 5 tics
unset paxis 6 tics
unset paxis 7 tics
set urange [ -4.50000 : 4.50000 ] noreverse nowriteback
set vrange [ 0.0500000 : 3.09159 ] noreverse nowriteback
set paxis 1 range [ * : * ] noreverse nowriteback
set paxis 2 range [ * : * ] noreverse nowriteback
set paxis 3 range [ * : * ] noreverse nowriteback
set paxis 4 range [ * : * ] noreverse nowriteback
set paxis 5 range [ * : * ] noreverse nowriteback
set paxis 6 range [ * : * ] noreverse nowriteback
set paxis 7 range [ * : * ] noreverse nowriteback
set lmargin at screen 0.1
set bmargin at screen 0.1
set rmargin at screen 0.9
set tmargin at screen 0.9
set pm3d depthorder
set pm3d interpolate 1,1 flush begin noftriangles border lt black linewidth 0.500 dashtype solid corners2color mean
set colorbox vertical origin screen 0.9, 0.2, 0 size screen 0.05, 0.6, 0 front  noinvert bdefault
unset colorbox
x(u,v) = 2.*a*(cos(u)+u*sin(u))*sin(v) / (1+u**2.*(sin(v))**2)
y(u,v) = 2.*a*(sin(u)-u*cos(u))*sin(v) / (1+u**2.*(sin(v))**2)
z(u,v) = a*log(tan(v/2.))+2.*cos(v)/(1+u**2.*(sin(v))**2)
a = 1.0
GPFUN_x = "x(u,v) = 2.*a*(cos(u)+u*sin(u))*sin(v) / (1+u**2.*(sin(v))**2)"
GPFUN_y = "y(u,v) = 2.*a*(sin(u)-u*cos(u))*sin(v) / (1+u**2.*(sin(v))**2)"
GPFUN_z = "z(u,v) = a*log(tan(v/2.))+2.*cos(v)/(1+u**2.*(sin(v))**2)"
splot x(u,v), y(u,v), z(u,v) with pm3d